package lyon.surfer;
/******************************************************************************************

 * Surface Plotter version 1.10                                               Oct 14 1996 *

 * Surface Plotter version 1.20                                               Nov  8 1996 *

 *                                                                                        *

 * SurfaceFrame.java: Frame for Surface Plotter when running as an application            *

 *                                                                                        *

 * Copyright (c) 1996 Yanto Suryono. All Rights Reserved.                                 *

 *                                                                                        *

 * Permission to use, copy, and distribute this software for NON-COMMERCIAL purposes      *

 * and without fee is hereby granted, provided that this copyright notice appears in all  *

 * copies and this software is not modified in any way                                    *

 *                                                                                        *

 * Please send bug reports and/or corrections/suggestions to                              *

 * Yanto Suryono <d0771@cranesv.egg.kushiro-ct.ac.jp>                                     *

 ******************************************************************************************/



import java.awt.*;



public class SurfaceFrame extends Frame {

  SurfaceFrame(Surface applet, String title) {

    super(title);

    setBackground(Color.lightGray);

    add("Center",applet);

    applet.init();

    pack();

    show();

    applet.start();

  }



  public boolean handleEvent(Event event) {

    if (event.id == Event.WINDOW_DESTROY) {

      System.exit(0);

    }

    return super.handleEvent(event);

  }

}



